package com.ibm.devworks;

import org.junit.Test;
import static org.junit.Assert.assertTrue;

/**
 * Unit test for simple App.
 */
public class OpsImpTest {
    /**
     * Rigourous Test :-)
     */
    @Test
    public void testAddOps() {
    	AddOps add = new AddOps();
        assertTrue( add.getDesc().equals("plus"));
        assertTrue( add.op(2,1) == 3);
        
    }
    @Test
    public void testSubOps() {
    	SubOps sub = new SubOps();
        assertTrue( sub.getDesc().equals("minus"));
        assertTrue( sub.op(2,1) == 1);
        
    }
    @Test
    public void testMulOps() {
    	MulOps mul = new MulOps();
        assertTrue( mul.getDesc().equals("times"));
        assertTrue( mul.op(2,1) == 2);
        
    }
}
